##########
# collectionbuilder-csv
# Jekyll Digital Collection Generator
# https://github.com/CollectionBuilder/collectionbuilder-csv
##########

##########
# URL VARIABLES
#
# site domain, full URL to the production location of your collection
url: 
# path to location on the domain if necessary e.g. /digital/hjccc
baseurl: 
# location of code, the full url to your github repository
source-code: https://github.com/CollectionBuilder/collectionbuilder-csv

##########
# SITE SETTINGS
#
# title of site appears in banner
title: "{B/qKC}"
# tagline, a short phrase that will appear throughout the site in the top banner
tagline: an archive of Black queer Kansas City history
# description appears in meta tags and other locations
# this description might appear in search result lists, keep around 160 characters max
description: "{B/qKC} is a dynamic community archive challenging out-dated archival practices within the frame and study of midwestern Black queer history."
# keywords, a short list of subjects describing the collection, separated by semicolon, to appear in rich markup
keywords: kansas city; history; queer; black
# creator of the digital collection, to appear in meta tags; we typically use our GitHub usernames but feel free to just use your name
author: Nasir Anthony Montalvo

##########
# COLLECTION SETTINGS
#
# Set the metadata for your collection (the name of the CSV file in your _data directory that describes the objects in your collection) 
# Use the filename of your CSV **without** the ".csv" extension! E.g. _data/demo-metadata.csv --> "demo-metadata"
metadata: bqkc-repository
# page generation settings [optional!]
# [optional: only used if you need to tweak CB defaults or generate from more than one data file]
# page_gen:
#   - data: 'demo-metadata'
#     template: 'item'
#     name: 'objectid'
#     dir: 'items'
#     extension: 'html' 
#     filter: 'objectid'  

##########
# ORGANIZATION SETTINGS
#
# Enter name and link for your organization (replacing the name and links below)
# These values will be used in attribution and data 
organization-name: "{B/qKC}: a Black queer archive"
organization-link: https://1800nasi.net/bqkc/
# Add logo image links if you would like them to appear in banner and footer. Delete or leave blank to remove logos.
organization-logo-banner: false
organization-logo-nav: false

##########
# ROBOTS EXCLUDE
#
# set noindex to true if you do NOT want Google to index your site
# noindex: true 

##########
# BUILD SETTINGS 
#
# Note: use environment variable on build command to include analytics
# JEKYLL_ENV=production jekyll build
# (this is done automatically by gh-pages build)
#
# Library directory location. This allows you to customize where the standard assets are found.
# provide a relative path in this repository or full url 
lib-assets: /assets/lib
# ignore stuff
exclude: [docs/, Rakefile, rakelib/, README.md, LICENSE, CITATION.cff, CODE_OF_CONDUCT.md, CONTRIBUTING.md, SECURITY.md]
# compress CSS output
sass:
  style: compressed
